summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSobhan Mohammadpour <www.sobhan.mohammadpour@gmail.com>2017-10-23 15:58:39 +0330
committerMark Wright <gienah@gentoo.org>2017-10-24 17:46:05 +1100
commita36219a050e6d671f2c796191b1273153b640a35 (patch)
tree403584ae7300eade87613121f41f442c4acf8dcf /sci-mathematics/rstudio
parentsys-libs/glibc: stable 2.25-r8 for ia64, bug #628180 (diff)
downloadgentoo-a36219a050e6d671f2c796191b1273153b640a35.tar.gz
gentoo-a36219a050e6d671f2c796191b1273153b640a35.tar.bz2
gentoo-a36219a050e6d671f2c796191b1273153b640a35.zip
sci-mathematics/rstudio: version bump to 1.1.368
Bump to 1.1.368. This also updates the clang pandoc patch Fixes bug 626056, thanks to Harris Landgarten for reporting, Sobhan Mohammadpour for adding the missing dependency in 1.1.383. Fixes bug 626062 by bumping rstudio to version 1.1.383 that builds with R 3.4. Thanks to Harris Landgarten for reporting, jstein, Volkmar Glauche, Bernd Feige and yuri for testing and helping, Sobhan Mohammadpour for bumping rstudio in PR #6003. Fixes bug 622254, thanks to jstein for reporting, Volkmar Glauche, Bernd Feige, Carl W. Harlow, Rolf S. Arvidson, Oleg, Alex and Sobhan Mohammadpour for testing and helping. Fixes bug 633936, thanks to Neil for reporting, Fran├žois Valenduc and Bernd for helping. Suggested-by: Bernd Feige <Bernd.Feige@gmx.net> Gentoo-bug: 626056, 626062. 622254, 633936
Diffstat (limited to 'sci-mathematics/rstudio')
-rw-r--r--sci-mathematics/rstudio/Manifest1
-rw-r--r--sci-mathematics/rstudio/files/rstudio-1.1.357-clang-pandoc.patch76
-rw-r--r--sci-mathematics/rstudio/rstudio-1.1.368.ebuild248
3 files changed, 325 insertions, 0 deletions
diff --git a/sci-mathematics/rstudio/Manifest b/sci-mathematics/rstudio/Manifest
index 728e003ec65..5d4b2fdc369 100644
--- a/sci-mathematics/rstudio/Manifest
+++ b/sci-mathematics/rstudio/Manifest
@@ -20,6 +20,7 @@ DIST rstudio-1.0.136.tar.gz 17786389 SHA256 bb6a8aa475e09dd090cd2b5ea505f578d270
DIST rstudio-1.0.143.tar.gz 17791067 SHA256 8ae88731b4474e5e2ff9030aa14e168903fe3a7ffc4fa716f497084a86801062 SHA512 46eaa88dd8332f18bb3a43de6e262d8a365860d9add78aea6a2d345784b239972c9c73bf0b56f1736b2981b8f688dbaf5a83c6848d170c0cf61d0e51dd636a82 WHIRLPOOL db1c11be240db3528e46d359c7d40d64068dfe5f7d915c4a6b690444f7f7fbc11f3898a6e262fa625bfab906f0cbfb2a8e3288a4fd20470423a99d992972fcda
DIST rstudio-1.0.153.tar.gz 17790922 SHA256 79b90e21e56b114e28b03fd8543a208c55bb9d5f47a87fd29143d08b9a06f7a0 SHA512 d970a9bde88845e3fc6cdaff5233ffb65c03939c685c3fca0dd052246e065c7580b3f9bc4e053a79d2ecbb5f8c283d3fce7b97cc69e43176bd49587c736dab86 WHIRLPOOL c1f4c7bdc8e5a85af53411a35d736278b83f4732d2e273378fecc77cb075dff507147d56012682564edd58041c91cc051189eb38a7348d0827b76c7ac37bd54d
DIST rstudio-1.0.44.tar.gz 17774065 SHA256 43ece6cfdd1a13ac0e17f2a50154a30a1a14ad6c1b3cf381cc6007988ce44a0f SHA512 a8b975dc517125a257e5f61db5bb137e133b02d738d55553770aa65e388cd112ce646b53b77dc069d1ca95ccd95979f4a57ad60b99fc3b91543cf61e737e8169 WHIRLPOOL 4ad472aed130451e81d8d8e3251d3bbd701a8b8e2fbddf17dc357f39335e33c75505f9443c2c7208e60a19c2767b9328134433e5d4fd22504813020712c658ef
+DIST rstudio-1.1.368.tar.gz 20197144 SHA256 586573707a488b5f528680b932ba5f8ea6d07667cc5ae6426104e2abf5ddab75 SHA512 39cdf583d7dcd22338916cc0ea4f90681580e41663b2d3e04b2e650759c6b030c85ee111cdfe1f717f931932a9b7ca423a21585d69a785f056f754f6d50399a1 WHIRLPOOL e18ff21823638d458179819e0b0b234b80be2f095f5b7bf5b9ac0190b078f0d7acb51e8896cbfcf1ce33cd203ed4e9fbe097aac6eee62515cace1d2f08c08219
DIST selenium-java-2.37.0.zip 24625928 SHA256 0eebba65d8edb01c1f46e462907c58f5d6e1cb0ddf63660a9985c8432bdffbb7 SHA512 68624e82dbc751a25c50fad72702a98eb30d77fd4337d2a969f8e06bcc49e5f8c835cd27ec53772f3375014ddde1d5636936e966b75f3594a9f86aa18ba4e779 WHIRLPOOL eb6659aae26f3c78b6f998546b23d0636c9d00ed8a7f985db1463ac4bd483ccb3e643d84e2ca0f59e0636a8de79eb552ff1d68eb6f9c06907029f7552d8f7777
DIST selenium-server-standalone-2.37.0.jar 34730734 SHA256 97bc8c699037fb6e99ba7af570fb60dbb1b7ce30cde2448287a44ef65b13023e SHA512 b215446d42d2d1f69664349b6ae6dc53a532d3624c91254f0f4183d0ad764648792e5cc1126a55a1e60d9687d55200fed01d6d2f46cc3d853b1fa6ee38111018 WHIRLPOOL 20640591534f31f24825a9ed139589b182e8b60d86541bf0be104d3cc0280983f6566bd0459f2253ac3875b48a2798b205bac8f815a119fff6db625ce9bbc29e
DIST shinyapps-0.98.1000.tar.gz 910095 SHA256 b95c512ae0a0fb4335878d9cfcf9073e2cb3ccfed73543abe27ea8878ed36d57 SHA512 3162317c4c20cfc1497e952a8235867084d629ae88407e6c465b3e208adb1dc97abfe6b9922e0374ddf4c8e38a76e112942bd312c54a66f74e6f2a3fe4c0a07c WHIRLPOOL ecc2bce78387cb42e9989163d8fca29220e66f085acde3323417058aebb624dafa8c0e1873c7d79e67324cbd5aad250ef9fcdbbc8f659d64482233b95d898a15
diff --git a/sci-mathematics/rstudio/files/rstudio-1.1.357-clang-pandoc.patch b/sci-mathematics/rstudio/files/rstudio-1.1.357-clang-pandoc.patch
new file mode 100644
index 00000000000..28b0220912a
--- /dev/null
+++ b/sci-mathematics/rstudio/files/rstudio-1.1.357-clang-pandoc.patch
@@ -0,0 +1,76 @@
+Index: rstudio-1.1.357/src/cpp/session/CMakeLists.txt
+===================================================================
+--- rstudio-1.1.357.orig/src/cpp/session/CMakeLists.txt
++++ rstudio-1.1.357/src/cpp/session/CMakeLists.txt
+@@ -25,9 +25,6 @@ endif()
+ if(NOT EXISTS "${RSTUDIO_DEPENDENCIES_DIR}/common/mathjax-26")
+ message(FATAL_ERROR "Mathjax 2.6 not found (re-run install-dependencies script to install)")
+ endif()
+-if(NOT EXISTS "${RSTUDIO_DEPENDENCIES_DIR}/common/pandoc")
+- message(FATAL_ERROR "pandoc not found (re-run install-dependencies script to install)")
+-endif()
+
+ # we often install embedded versions of these packages but don't do so currently
+
+@@ -38,22 +35,6 @@ endif()
+ # message(FATAL_ERROR "rsconnect package not found (re-run install-dependencies script to install)")
+ # endif()
+
+-# verify libclang is installed
+-if(WIN32)
+- set(LIBCLANG_VERSION "3.4")
+-else()
+- set(LIBCLANG_VERSION "3.5")
+-endif()
+-set(LIBCLANG_DIR "${RSTUDIO_DEPENDENCIES_DIR}/common/libclang/${LIBCLANG_VERSION}")
+-if(NOT EXISTS "${LIBCLANG_DIR}")
+- message(FATAL_ERROR "libclang ${LIBCLANG_VERSION} not found (re-run install-dependencies script to install)")
+-endif()
+-set(LIBCLANG_HEADERS_DIR "${RSTUDIO_DEPENDENCIES_DIR}/common/libclang/builtin-headers")
+-if(NOT EXISTS "${LIBCLANG_HEADERS_DIR}")
+- message(FATAL_ERROR "libclang builtin-headers not found (re-run install-dependencies script to install)")
+-endif()
+-
+-
+ # include files
+ file(GLOB_RECURSE SESSION_HEADER_FILES "*.h*")
+
+@@ -465,13 +446,6 @@ if (NOT RSTUDIO_SESSION_WIN64)
+ install(DIRECTORY "resources/connections"
+ DESTINATION ${RSTUDIO_INSTALL_SUPPORTING}/resources)
+
+- # install pandoc
+- set(PANDOC_BIN "${RSTUDIO_DEPENDENCIES_DIR}/common/pandoc/1.19.2.1")
+- file(GLOB PANDOC_FILES "${PANDOC_BIN}/pandoc*")
+- install(FILES ${PANDOC_FILES}
+- PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+- DESTINATION ${RSTUDIO_INSTALL_BIN}/pandoc)
+-
+ # install rmarkdown package
+ # file(GLOB RMARKDOWN_PACKAGE "${RSTUDIO_DEPENDENCIES_DIR}/common/rmarkdown*.tar.gz")
+ # install(FILES ${RMARKDOWN_PACKAGE}
+@@ -502,24 +476,6 @@ if (NOT RSTUDIO_SESSION_WIN64)
+ install(DIRECTORY "resources/profiler"
+ DESTINATION ${RSTUDIO_INSTALL_SUPPORTING}/resources)
+
+- # install libclang
+- if(WIN32)
+- file(GLOB LIBCLANG_32_FILES "${LIBCLANG_DIR}/x86/libclang.*")
+- install(PROGRAMS ${LIBCLANG_32_FILES}
+- DESTINATION ${RSTUDIO_INSTALL_BIN}/rsclang/x86)
+- file(GLOB LIBCLANG_64_FILES "${LIBCLANG_DIR}/x86_64/libclang.*")
+- install(PROGRAMS ${LIBCLANG_64_FILES}
+- DESTINATION ${RSTUDIO_INSTALL_BIN}/rsclang/x86_64)
+- else()
+- file(GLOB_RECURSE LIBCLANG_FILES "${LIBCLANG_DIR}/libclang.*")
+- install(PROGRAMS ${LIBCLANG_FILES}
+- DESTINATION ${RSTUDIO_INSTALL_BIN}/rsclang)
+- endif()
+-
+- # install libclang builtin-headers
+- install(DIRECTORY "${RSTUDIO_DEPENDENCIES_DIR}/common/libclang/builtin-headers"
+- DESTINATION "${RSTUDIO_INSTALL_SUPPORTING}/resources/libclang")
+-
+ # install winpty on windows
+ if(WIN32)
+ install(PROGRAMS "${WINPTY_BINDIR_32}/winpty.dll"
diff --git a/sci-mathematics/rstudio/rstudio-1.1.368.ebuild b/sci-mathematics/rstudio/rstudio-1.1.368.ebuild
new file mode 100644
index 00000000000..38ac6d8ddf2
--- /dev/null
+++ b/sci-mathematics/rstudio/rstudio-1.1.368.ebuild
@@ -0,0 +1,248 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils user cmake-utils gnome2-utils pam versionator xdg-utils java-pkg-2 pax-utils qmake-utils
+
+# TODO
+# * package gin and gwt
+# * use dict from tree, linguas
+# * do src_test (use junit from tree?)
+
+# update from scripts in dependencies/common
+# egrep '(GWT_SDK_VER=|GIN_VER=|SELENIUM_VER=|CHROMEDRIVER_VER=)' dependencies/common/install-gwt
+GWT_VER=2.7.0
+GIN_VER=1.5
+SELENIUM_VER=2.37.0
+CHROMEDRIVER_VER=2.7
+# grep 'PANDOC_VERSION=' dependencies/common/update-pandoc
+PANDOC_VER=1.13.1
+# ls dependencies/common/*.tar.gz
+PACKRAT_VER=0.98.1000
+RMARKDOWN_VER=0.98.1000
+SHINYAPPS_VER=0.98.1000
+RSCONNECT_VER=0.4.1.4_fcac892a69817febd7b655b189bf57193260cda0
+
+DESCRIPTION="IDE for the R language"
+HOMEPAGE="
+ http://www.rstudio.org
+ https://github.com/rstudio/rstudio/"
+SRC_URI="
+ https://github.com/rstudio/rstudio/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://s3.amazonaws.com/rstudio-buildtools/gin-${GIN_VER}.zip
+ https://s3.amazonaws.com/rstudio-buildtools/gwt-${GWT_VER}.zip
+ https://s3.amazonaws.com/rstudio-buildtools/selenium-java-${SELENIUM_VER}.zip
+ https://s3.amazonaws.com/rstudio-buildtools/selenium-server-standalone-${SELENIUM_VER}.jar
+ https://s3.amazonaws.com/rstudio-buildtools/chromedriver-linux
+ https://s3.amazonaws.com/rstudio-dictionaries/core-dictionaries.zip
+ https://dev.gentoo.org/~gienah/distfiles/packrat-${PACKRAT_VER}.tar.gz
+ https://dev.gentoo.org/~gienah/distfiles/rmarkdown-${RMARKDOWN_VER}.tar.gz
+ https://dev.gentoo.org/~gienah/distfiles/shinyapps-${SHINYAPPS_VER}.tar.gz
+ https://dev.gentoo.org/~gienah/distfiles/rsconnect_${RSCONNECT_VER}.tar.gz
+"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="dedicated server"
+
+QT_VER=5.4
+QT_SLOT=5
+RDEPEND="
+ app-text/pandoc
+ dev-haskell/pandoc-citeproc
+ >=dev-lang/R-2.11.1
+ >=dev-libs/boost-1.63:=
+ >=dev-libs/mathjax-2.7.0
+ dev-libs/openssl:0
+ sys-apps/util-linux
+ >=sys-devel/clang-3.5.0:*
+ sys-libs/zlib
+ >=virtual/jre-1.8:=
+ x11-libs/pango
+ !dedicated? (
+ >=dev-qt/qtcore-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtdeclarative-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtdbus-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtgui-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtnetwork-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtopengl-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtpositioning-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtprintsupport-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtsingleapplication-2.6.1_p20150629[X,qt5]
+ >=dev-qt/qtsensors-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtsql-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtsvg-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtwebchannel-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtwebkit-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtwidgets-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtxml-${QT_VER}:${QT_SLOT}
+ >=dev-qt/qtxmlpatterns-${QT_VER}:${QT_SLOT}
+ server? ( virtual/pam )
+ )
+ dedicated? ( virtual/pam )"
+DEPEND="${RDEPEND}
+ app-arch/unzip
+ dev-java/ant-core
+ >=virtual/jdk-1.8:=
+ virtual/pkgconfig"
+# test? ( dev-java/junit:4 )
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.99.879-prefs.patch"
+ "${FILESDIR}/${PN}-1.0.44-paths.patch"
+ "${FILESDIR}/${PN}-1.1.357-clang-pandoc.patch"
+ "${FILESDIR}/${PN}-0.98.490-linker_flags.patch"
+ "${FILESDIR}/${PN}-0.98.1091-boost-1.57.patch"
+ "${FILESDIR}/${PN}-0.99.473-qtsingleapplication.patch"
+ "${FILESDIR}/${PN}-1.0.44-systemd.patch"
+)
+
+src_unpack() {
+ unpack ${P}.tar.gz gwt-${GWT_VER}.zip
+ cd "${S}" || die
+ mkdir -p src/gwt/lib/{gin,gwt} \
+ dependencies/common/dictionaries \
+ src/gwt/lib/selenium/${SELENIUM_VER} \
+ src/gwt/lib/selenium/chromedriver/${CHROMEDRIVER_VER} || die
+ mv ../gwt-${GWT_VER} src/gwt/lib/gwt/${GWT_VER} || die
+ unzip -qd src/gwt/lib/gin/${GIN_VER} \
+ "${DISTDIR}"/gin-${GIN_VER}.zip || die
+ unzip -qd dependencies/common/dictionaries \
+ "${DISTDIR}"/core-dictionaries.zip || die
+ unzip -qd src/gwt/lib/selenium/${SELENIUM_VER} \
+ "${DISTDIR}"/selenium-java-${SELENIUM_VER}.zip || die
+ cp "${DISTDIR}"/selenium-server-standalone-${SELENIUM_VER}.jar \
+ src/gwt/lib/selenium/${SELENIUM_VER}/ || die
+ cp "${DISTDIR}"/chromedriver-linux \
+ src/gwt/lib/selenium/chromedriver/${CHROMEDRIVER_VER}/ || die
+ cd dependencies/common || die
+ unpack packrat-${PACKRAT_VER}.tar.gz
+ unpack rmarkdown-${RMARKDOWN_VER}.tar.gz
+ unpack shinyapps-${SHINYAPPS_VER}.tar.gz
+ unpack rsconnect_${RSCONNECT_VER}.tar.gz
+ cp "${DISTDIR}"/rmarkdown-${RMARKDOWN_VER}.tar.gz \
+ . || die
+ cp "${DISTDIR}"/packrat-${PACKRAT_VER}.tar.gz \
+ . || die
+ cp "${DISTDIR}"/shinyapps-${SHINYAPPS_VER}.tar.gz \
+ . || die
+ cp "${DISTDIR}"/rsconnect_${RSCONNECT_VER}.tar.gz \
+ . || die
+}
+
+src_prepare() {
+ default
+ java-pkg-2_src_prepare
+ egit_clean
+
+ # Enable CMake to install our .service file for systemd usage
+ mkdir -vp "${S}/src/cpp/server/lib/systemd/system" || die
+ cp -v "${FILESDIR}/rstudio-server.service.in" "${S}/src/cpp/server/lib/systemd/system/" || die
+
+ # Adding -DDISTRO_SHARE=... to append-flags breaks cmake so using
+ # this sed hack for now. ~RMH
+ sed -i \
+ -e "s|DISTRO_SHARE|\"share/${PN}\"|g" \
+ src/cpp/server/ServerOptions.cpp \
+ src/cpp/session/SessionOptions.cpp || die
+
+ # use mathjax from system
+ ln -sf "${EPREFIX}"/usr/share/mathjax dependencies/common/mathjax-26 || die
+
+ # make sure icons and mime stuff are with prefix
+ sed -i \
+ -e "s:/usr:${EPREFIX}/usr:g" \
+ CMakeGlobals.txt src/cpp/desktop/CMakeLists.txt || die
+
+ # On Gentoo the rstudio-server configuration file is /etc/conf.d/rstudio-server.conf
+ sed -e "s@/etc/rstudio/rserver.conf@${EROOT}etc/conf.d/rstudio-server.conf@" \
+ -i src/cpp/server/ServerOptions.cpp \
+ || die
+
+ # Set the rsession.conf file location for Gentoo prefix
+ sed -e "s@/etc/rstudio/rsession.conf@${EROOT}etc/rstudio/rsession.conf@" \
+ -i src/cpp/session/SessionOptions.cpp \
+ || die
+
+ # dev-qt/qtsingleapplication-2.6.1_p20150629 does not provide a cmake module.
+ # It provides a library that has its version number appended to the end,
+ # which is difficult to handle in cmake, as find_library does not support
+ # searching for wildcard library names. So I find the library name from the
+ # qmake spec, and then sed this into the patched src/cpp/desktop/CMakeLists.txt.
+ rm -rf "${S}"/src/cpp/desktop/3rdparty || die
+ local s=$(grep '\-lQt$${QT_MAJOR_VERSION}Solutions_SingleApplication' \
+ $(qt5_get_mkspecsdir)/features/qtsingleapplication.prf \
+ | sed -e 's@\$\${QT_MAJOR_VERSION}@5@' \
+ -e 's@LIBS \*= -l@@')
+ sed -e "s@Qt5Solutions_SingleApplication-2.6@${s}@g" \
+ -i "${S}"/src/cpp/desktop/CMakeLists.txt \
+ || die
+
+ # The git commit for tag: git rev-list -n 1 v0.99.903
+ sed -e 's@git ARGS rev-parse HEAD@echo ARGS 0eb2d8ea28ebc1ac6ac327e023becb6133b679c4@'\
+ -i "${S}"/CMakeLists.txt \
+ "${S}"/CMakeGlobals.txt \
+ || die
+}
+
+src_configure() {
+ export RSTUDIO_VERSION_MAJOR=$(get_version_component_range 1)
+ export RSTUDIO_VERSION_MINOR=$(get_version_component_range 2)
+ export RSTUDIO_VERSION_PATCH=$(get_version_component_range 3)
+
+ local mycmakeargs=(
+ -DDISTRO_SHARE=share/${PN}
+ -DRSTUDIO_INSTALL_FREEDESKTOP="$(usex !dedicated "ON" "OFF")"
+ -DRSTUDIO_TARGET=$(usex dedicated "Server" "$(usex server "Development" "Desktop")")
+ -DQT_QMAKE_EXECUTABLE=$(qt5_get_bindir)/qmake
+ -DRSTUDIO_VERIFY_R_VERSION=FALSE
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ # Avoid the rest of the oracle-jdk-bin-1.8.0.60 sandbox violations F: mkdir S: deny
+ # P: /root/.oracle_jre_usage.
+ export ANT_OPTS="-Duser.home=${T}"
+ cmake-utils_src_compile
+}
+
+src_install() {
+ export ANT_OPTS="-Duser.home=${T}"
+ cmake-utils_src_install
+ pax-mark m "${ED}usr/bin/rstudio"
+ doconfd "${FILESDIR}"/rstudio-server.conf
+ dodir /etc/rstudio
+ insinto /etc/rstudio
+ doins "${FILESDIR}"/rsession.conf
+ dosym "${ROOT}etc/conf.d/rstudio-server.conf" "${ROOT}etc/rstudio/rserver.conf"
+ if use dedicated || use server; then
+ dopamd src/cpp/server/extras/pam/rstudio
+ newinitd "${FILESDIR}"/rstudio-server.initd rstudio-server
+ fi
+}
+
+pkg_preinst() {
+ use dedicated || gnome2_icon_savelist
+ java-pkg-2_pkg_preinst
+}
+
+pkg_postinst() {
+ use dedicated || { xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update ;}
+
+ if use dedicated || use server; then
+ enewgroup rstudio-server
+ enewuser rstudio-server -1 -1 -1 rstudio-server
+ fi
+}
+
+pkg_postrm() {
+ use dedicated || { xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update ;}
+}